Jump to content

2.81 Should I wait?


aim2plz75
 Share

Recommended Posts

Karnak the Magnificent predicts that Helix will be safe to update in the year 2927. Best to wait.

Meanwhile, after playing on his fully updated Helix Stomp while posting these amazing predictions, Karnak returns to playing on his fully updated Helix Floor.

:-) ;-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-) :-)

 

Link to comment
Share on other sites

11 hours ago, aim2plz75 said:

I am currently using a Helix Lt on 2.80. I have seen nothing but complications with 2.81.

 

Well, yes, you could wait around forever, or just do it because if you really have issues you can revert to a previous version.

 

One thing to consider is, that as a Helix LT user, you got an extra Firmware upgrade to v2.81.1 just for LT units.

 

Go for it.

Link to comment
Share on other sites

I saw nothing but complications for the most part on 2.80 as well. This was mainly due to folks not reading the directions beforehand, altho there were some software bugs as well (mostly from Windows 10 users) as expected at least by me. Why? The registry suxs no matter what happens. Anyway- 2.81 was for some fixes for 2.80 IIRC. The success you are looking for (complete success and with zero bugs on any software) has not arrived yet and probably never will. 

 

So why not update?

  • Haha 1
Link to comment
Share on other sites

2.81 is a bug fix release for 2.80... in theory, it is suppose to cause less problems, not more.

That said... it did create a new bug for the LT, which is why they released 2.81.1 for the LT only. 

 

FWIW... I just updated to 2.81.1 from 2.7 and it was a very smooth transition. I am not experiencing any problems with this latest version... and although I use the LA Comp on all my patches, even that "known issue" (for the entire 2.8 line) has not reared it's ugly head. I waited to update until I had enough days between gigs to properly test.... hours after updating I got a call for an emergency "fill in". Thrown into the fire, 2.81.1 did not let me down at the gig... quite the opposite - it performed as I hoped it would. 

  • Like 1
Link to comment
Share on other sites

1 hour ago, DunedinDragon said:

Has anyone else noticed the consistency between people that haven't had any problems having a long history of posts on this forum, and the ones that have had problems having a very limited number of posts?

I really don't think 2.81 is the problem.....

 

Oh that is my problem! I have to post more in the forum then my 2.81 problems will go away!!

Thanks for the advice!

D

Link to comment
Share on other sites

Just now, dannepop said:

Oh that is my problem! I have to post more in the forum then my 2.81 problems will go away!!

 

I just went back through all your posts and in every one of them you claimed the problem was solved... and in each case you admitted user error, and/or confusion from complicated instructions. 

 

What has changed that you are now trolling the forums telling everyone that 2.8/2.81 is nothing but problems. What bug has made the new version unusable for you and forced you back to 2.71? If there is a post already that I have missed, please point me to it so you don't have to re-write anything. 

Link to comment
Share on other sites

I haven't had any issues with 2.81. I've played a number of gigs with it now, and it's been fine. I did run into the one thing where it was getting stuck in Preset select mode, but doing a factory reset took care of that. That should be one of the first troubleshooting steps to take if you run into something weird. It seems to clear up a lot things.

  • Like 1
Link to comment
Share on other sites

1 hour ago, codamedia said:

 

I just went back through all your posts and in every one of them you claimed the problem was solved... and in each case you admitted user error, and/or confusion from complicated instructions. 

 

What has changed that you are now trolling the forums telling everyone that 2.8/2.81 is nothing but problems. What bug has made the new version unusable for you and forced you back to 2.71? If there is a post already that I have missed, please point me to it so you don't have to re-write anything. 

 

1 hour ago, dannepop said:

I did follow the release note!

 

It was definitely a Cb, which comes after E# in the K Locrian Major scale. Line6 is so messed up!

  • Haha 2
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...